org.eclipse.emf.compare.impl

## Class FeatureMapChangeImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
        - - org.eclipse.emf.compare.impl.DiffImpl
          - - org.eclipse.emf.compare.impl.FeatureMapChangeImpl

All Implemented Interfaces:
  Notifier, Diff, FeatureMapChange, EObject, EStructuralFeature.Internal.DynamicValueHolder, InternalEObject

Direct Known Subclasses:
  FeatureMapChangeSpec

    public class FeatureMapChangeImpl
    extends DiffImpl
    implements FeatureMapChange

An implementation of the model object 'Feature Map Change'.

The following features are implemented:

- `Attribute`
- `Value`

Since:
  3.2
Generated:

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`MinimalEObjectImpl.Container.Dynamic`

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`MinimalEObjectImpl.Container`

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`BasicNotifierImpl.EAdapterList<E extends Object & Adapter>, BasicNotifierImpl.EObservableAdapterList`

### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`InternalEObject.EStore`

### Field Summary

Fields
`protected EAttribute` `attribute` The cached value of the '`Attribute`' reference
`static String` `copyright`
`protected Object` `value` The cached value of the '`Value`' attribute
`protected static Object` `VALUE_EDEFAULT` The default value of the '`Value`' attribute

### Fields inherited from class org.eclipse.emf.compare.impl.DiffImpl

`conflict, equivalence, impliedBy, implies, kind, KIND_EDEFAULT, primeRefining, refinedBy, refines, requiredBy, requires, source, SOURCE_EDEFAULT, state, STATE_EDEFAULT`

### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eContainer`

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

`NIL`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

### Constructor Summary

Constructors
`protected` `FeatureMapChangeImpl()`

### Method Summary

All Methods Instance Methods Concrete Methods
`EAttribute` `basicGetAttribute()`
`Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, Object newValue)`
`protected EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`EAttribute` `getAttribute()`
`Object` `getValue()`
`void` `setAttribute(EAttribute newAttribute)`
`void` `setValue(Object newValue)`
`String` `toString()`

### Methods inherited from class org.eclipse.emf.compare.impl.DiffImpl

`basicGetConflict, basicGetEquivalence, basicGetMatch, basicGetPrimeRefining, basicSetConflict, basicSetEquivalence, copyLeftToRight, copyRightToLeft, discard, eInverseAdd, eInverseRemove, getConflict, getEquivalence, getImpliedBy, getImplies, getKind, getMatch, getPrimeRefining, getRefinedBy, getRefines, getRequiredBy, getRequires, getSource, getState, setConflict, setEquivalence, setKind, setMatch, setSource, setState`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

`eBasicSetContainer, eInternalContainer`

### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

`dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetDirectResource, eSetProxyURI, eSettings`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.compare.Diff

`copyLeftToRight, copyRightToLeft, discard, getConflict, getEquivalence, getImpliedBy, getImplies, getKind, getMatch, getPrimeRefining, getRefinedBy, getRefines, getRequiredBy, getRequires, getSource, getState, setConflict, setEquivalence, setKind, setMatch, setSource, setState`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Field Detail

#### copyright

    public static final String copyright

See Also:
  Constant Field Values
Generated:

#### attribute

    protected EAttribute attribute

The cached value of the '`Attribute`' reference.

See Also:
  `getAttribute()`
Generated:

#### VALUE_EDEFAULT

    protected static final Object VALUE_EDEFAULT

The default value of the '`Value`' attribute.

See Also:
  `getValue()`
Generated:

#### value

    protected Object value

The cached value of the '`Value`' attribute.

See Also:
  `getValue()`
Generated:

### Constructor Detail

#### FeatureMapChangeImpl

    protected FeatureMapChangeImpl()

Generated:

### Method Detail

#### eStaticClass

    protected EClass eStaticClass()

Overrides:
  `eStaticClass` in class `DiffImpl`
Generated:

#### getAttribute

    public EAttribute getAttribute()

Specified by:
  `getAttribute` in interface `FeatureMapChange`
Returns:
  the value of the 'Attribute' reference.
See Also:
  `FeatureMapChange.setAttribute(EAttribute)`, `ComparePackage.getFeatureMapChange_Attribute()`
Generated:

#### basicGetAttribute

    public EAttribute basicGetAttribute()

Generated:

#### setAttribute

    public void setAttribute(EAttribute newAttribute)

Specified by:
  `setAttribute` in interface `FeatureMapChange`
Parameters:
  `newAttribute` - the new value of the 'Attribute' reference.
See Also:
  `FeatureMapChange.getAttribute()`
Generated:

#### getValue

    public Object getValue()

Specified by:
  `getValue` in interface `FeatureMapChange`
Returns:
  the value of the 'Value' attribute.
See Also:
  `FeatureMapChange.setValue(Object)`, `ComparePackage.getFeatureMapChange_Value()`
Generated:

#### setValue

    public void setValue(Object newValue)

Specified by:
  `setValue` in interface `FeatureMapChange`
Parameters:
  `newValue` - the new value of the 'Value' attribute.
See Also:
  `FeatureMapChange.getValue()`
Generated:

#### eGet

    public Object eGet(int featureID,
                       boolean resolve,
                       boolean coreType)

Specified by:
  `eGet` in interface `InternalEObject`
Overrides:
  `eGet` in class `DiffImpl`
Generated:

#### eSet

    public void eSet(int featureID,
                     Object newValue)

Specified by:
  `eSet` in interface `InternalEObject`
Overrides:
  `eSet` in class `DiffImpl`
Generated:

#### eUnset

    public void eUnset(int featureID)

Specified by:
  `eUnset` in interface `InternalEObject`
Overrides:
  `eUnset` in class `DiffImpl`
Generated:

#### eIsSet

    public boolean eIsSet(int featureID)

Specified by:
  `eIsSet` in interface `InternalEObject`
Overrides:
  `eIsSet` in class `DiffImpl`
Generated:

#### toString

    public String toString()

Overrides:
  `toString` in class `DiffImpl`
Generated: